{
  "name": "talentstube",
  "version": "1.0.0",
  "private": true,
  "resolutions": {
    "terser": "3.14.1"
  },
  "dependencies": {
    "@blunck/next-alias": "^1.0.0",
    "@material-ui/core": "^4.9.10",
    "@material-ui/icons": "^4.9.1",
    "@material-ui/lab": "^4.0.0-alpha.56",
    "@ostai/next-css": "^1.0.2",
    "autosuggest-highlight": "^3.1.1",
    "axios": "^0.18.0",
    "connect-mongo": "^2.0.1",
    "cross-env": "^5.2.0",
    "css-loader": "^3.2.0",
    "cypress": "^3.4.1",
    "cypress-file-upload": "^3.3.2",
    "dotenv": "^8.0.0",
    "dotenv-webpack": "^1.7.0",
    "eslint": "^5.6.0",
    "express": "^4.16.3",
    "fg-loadcss": "^2.1.0",
    "griddle-react": "^1.13.1",
    "jss": "latest",
    "lodash": "^4.17.11",
    "mongodb": "^3.1.6",
    "nedb": "^1.8.0",
    "next": "^9.1.1",
    "next-auth": "^1.11.0",
    "next-compose-plugins": "^2.1.1",
    "next-offline": "^4.0.2",
    "next-optimized-images": "^1.4.1",
    "next-redux-saga": "^4.0.2",
    "next-redux-wrapper": "^3.0.0-alpha.2",
    "next-seo": "^4.7.3",
    "next-transpile-modules": "^2.3.1",
    "node-mailjet": "^3.3.1",
    "nodemailer": "^4.6.8",
    "nodemailer-direct-transport": "^3.3.2",
    "nodemailer-smtp-transport": "^2.7.4",
    "passport": "^0.4.0",
    "passport-facebook": "^3.0.0",
    "passport-linkedin-oauth2": "https://github.com/Huaoe/passport-linkedin-oauth2.git",
    "passport-oauth2": "https://github.com/Huaoe/passport-oauth2.git",
    "prop-types": "latest",
    "react": "^16.9.0",
    "react-ad-block-detect": "^1.0.1",
    "react-autosuggest": "^10.0.2",
    "react-dom": "^16.9.0",
    "react-ga": "^2.5.7",
    "react-google-recaptcha": "^2.0.1",
    "react-html-parser": "^2.0.2",
    "react-jss": "latest",
    "react-moment": "^0.9.7",
    "react-redux": "^7.0.3",
    "react-swipeable-views": "^0.13.3",
    "reactstrap": "^6.4.0",
    "recordrtc": "^5.5.4",
    "redux": "^4.0.1",
    "redux-action-buffer": "^1.2.0",
    "redux-devtools-extension": "^2.13.8",
    "redux-persist": "^5.10.0",
    "redux-saga": "^1.0.2",
    "reselect": "^4.0.0",
    "style-loader": "^1.0.0",
    "terser": "3.14",
    "universal-cookie": "^3.0.4",
    "validator": "^11.0.0",
    "videojs-record": "^3.8.0",
    "webrtc-adapter": "^7.2.3"
  },
  "scripts": {
    "dev": "cross-env PORT=3000 node server.js",
    "build": "next build && yarn postExport && yarn copysw && yarn copySiteMap",
    "start": "cross-env PORT=8000 NODE_ENV=production node server.js",
    "startPreprod": "cross-env PORT=8000 NODE_ENV=preproduction node server.js",
    "pm2-prod": "yarn build && pm2 start --name 'next' -- start",
    "bs": "yarn build && yarn start",
    "test": "yarn cypress run",
    "dropAndCreateDB": "yarn dropDB && yarn createDB && yarn restoredb",
    "terminateDB": "docker exec -i tt-website.postgres.dev psql --dbname database -U postgres -c \"select pg_terminate_backend(pid) from pg_stat_activity where datname='database';\"",
    "dropDB": "docker exec -i tt-website.postgres.dev psql --dbname template1 -U postgres -c \"DROP DATABASE database;\"",
    "createDB": "docker exec -i tt-website.postgres.dev psql --dbname template1 -U postgres -c \"CREATE DATABASE database;\"",
    "restoredb": "cat cypress/postgres.sql | docker exec -i tt-website.postgres.dev psql --dbname database -U user",
    "restoreuser": "docker exec -i tt-website.postgres.dev psql --dbname database -U postgres -c \"DELETE FROM fos_user WHERE email = 'thomasberrodedeclic42@gmail.com'\"",
    "backupdb": "docker exec -t tt-website.postgres.dev pg_dumpall --database database -c -U postgres > cypress/postgres.sql",
    "copySiteMap": "cp out/* .next/",
    "postExport": "node src/postExport.js",
    "copysw": "cp -R public/static/js .next/static/"
  },
  "devDependencies": {
    "gmail-tester": "^1.1.3",
    "webpack-bundle-analyzer": "^3.3.2"
  },
  "eslint.packageManager": "yarn"
}
